package jrummikub.model;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/**
 * Score of a single round
 */
public class Score implements Serializable {
	private static final long serialVersionUID = 2200041688506962025L;

	private ArrayList<Boolean> winners;
	private ArrayList<Integer> points;

	/**
	 * Create a new round score
	 * 
	 * @param winners
	 *          set for each player among the winners
	 * @param points
	 *          points of each player
	 */
	public Score(List<Boolean> winners, List<Integer> points) {
		this.winners = new ArrayList<Boolean>(winners);
		this.points = new ArrayList<Integer>(points);
	}

	/**
	 * Get the winner list
	 * 
	 * @return set for each player among the winners
	 */
	public List<Boolean> getWinners() {
		return winners;
	}

	/**
	 * Get the point list
	 * 
	 * @return points of each player
	 */
	public List<Integer> getPoints() {
		return points;
	}
}
